aboutsummaryrefslogtreecommitdiffstats
path: root/krootwarning/admin
diff options
context:
space:
mode:
Diffstat (limited to 'krootwarning/admin')
-rw-r--r--krootwarning/admin/Makefile.common289
-rwxr-xr-xkrootwarning/admin/depcomp367
2 files changed, 656 insertions, 0 deletions
diff --git a/krootwarning/admin/Makefile.common b/krootwarning/admin/Makefile.common
new file mode 100644
index 0000000..1edd3f6
--- /dev/null
+++ b/krootwarning/admin/Makefile.common
@@ -0,0 +1,289 @@
+
+cvs:
+ @if grep '$$(top_srcdir)/acinclude.m4:' Makefile.am >/dev/null; then \
+ echo "*** Creating acinclude.m4" ;\
+ rm -f acinclude.m4 configure.files ;\
+ $(MAKE) -f Makefile.am top_srcdir=. acinclude.m4 ;\
+ fi
+ @if test -r configure.in.in; then \
+ rm -f subdirs configure.in ;\
+ echo "*** Creating list of subdirectories" ;\
+ $(MAKE) -f Makefile.am top_srcdir=. subdirs ;\
+ echo "*** Creating configure.in" ;\
+ $(MAKE) -f Makefile.am top_srcdir=. configure.in ;\
+ fi
+ @echo "*** Creating aclocal.m4"
+ @aclocal
+ @echo "*** Creating config.h template"
+ @autoheader
+ @echo "*** Creating configure"
+ @autoconf
+ @if test -r configure.in.in ; then \
+ perl -pi -e 'print "if test \"x\$$with_fast_perl\" = \"xyes\" ;\
+ then\n perl -i.bak \$$ac_aux_dir/conf.change.pl \$$CONFIG_STATUS\
+ || mv \$$CONFIG_STATUS.bak \$$CONFIG_STATUS;\
+ \n rm -f \$$CONFIG_STATUS.bak;\nfi\
+ \n" if /^\s*chmod\s+.*\+x\s+.*CONFIG_STATUS/;' configure ;\
+ fi
+ @if grep '} \$$ac_kw foo' configure >/dev/null 2>&1; then perl -p -i -e "s/ac_kw foo/ac_kw int foo/" configure; fi
+#David's hack for autoconf bug when $INSTALL is set
+ @perl -pi -e 'if (/\[\/\$$\]\*. INSTALL=/) { print $$_ ; $$_ = "\"\") ;;\n"; }' configure
+ @echo "*** Creating Makefile templates"
+ @automake
+ @echo "*** Postprocessing Makefile templates"
+ @perl admin/am_edit
+ @if egrep "^cvs-local:" Makefile.am >/dev/null; then \
+ $(MAKE) -f Makefile.am cvs-local ;\
+ fi
+ @echo "*** Creating date/time stamp"
+ @touch stamp-h.in
+ @echo "*** Finished"
+ @echo " Don't forget to run ./configure"
+ @echo " If you haven't done so in a while, run ./configure --help"
+
+dist:
+ @if grep -e '$$(top_srcdir)/acinclude.m4:' Makefile.am >/dev/null; then \
+ $(MAKE) -f Makefile.am top_srcdir=. acinclude.m4 ;\
+ fi
+ @if test -r configure.in.in; then \
+ $(MAKE) -f Makefile.am top_srcdir=. subdirs configure.in; \
+ fi ;\
+ aclocal; \
+ autoheader; \
+ automake --foreign --include-deps; \
+ perl admin/am_edit; \
+ autoconf; \
+ if test -r configure.in.in ; then \
+ perl -pi -e 'print "if test \"x\$$with_fast_perl\" = \"xyes\" ;\
+ then\n perl -i.bak \$$ac_aux_dir/conf.change.pl \$$CONFIG_STATUS\
+ || mv \$$CONFIG_STATUS.bak \$$CONFIG_STATUS;\
+ \n rm -f \$$CONFIG_STATUS.bak;\nfi\
+ \n" if /^\s*chmod\s+.*\+x\s+.*CONFIG_STATUS/;' configure ;\
+ fi ;\
+ touch stamp-h.in; \
+ if grep -e "^cvs-local:" Makefile.am >/dev/null; then \
+ $(MAKE) -f Makefile.am cvs-local ;\
+ fi ;\
+ if grep "ac_kw foo" configure >/dev/null 2>&1; then perl -p -i -e "s/ac_kw foo/ac_kw int foo/" configure; fi ;\
+ if test -d po; then \
+ LIST=`find ./po -name "*.po"`; \
+ for i in $$LIST; do \
+ file2=`echo $$i | sed -e "s#\.po#\.gmo#"`; \
+ msgfmt -o $$file2 $$i || touch $$file2; \
+ done ;\
+ fi
+ @if grep -e "^cvs-dist-local:" Makefile.am >/dev/null; then \
+ $(MAKE) -f Makefile.am cvs-dist-local ;\
+ fi
+
+cvs-clean:
+ @if test ! -d CVS; then \
+ echo "You don't have a toplevel CVS directory."; \
+ echo "You most certainly didn't use cvs to get these sources."; \
+ echo "But this function depends on cvs's information."; \
+ exit 1 ;\
+ fi;\
+ pwd=`pwd` ;\
+ dirs=`find . -type d | grep -v CVS | sed -e "s#^./##"` ;\
+ for i in $$dirs; do \
+ if test ! -d "$$pwd/$$i/CVS"; then \
+ echo "D $$i" ;\
+ rm -rf "$$pwd/$$i"; \
+ continue; \
+ fi ;\
+ cd $$pwd/$$i ;\
+ for f in * .*; do \
+ if test ! -d "$$f"; then \
+ if grep "^/$$f/" CVS/Entries > /dev/null; then \
+ a="b"; \
+ else \
+ echo "F $$i/$$f"; \
+ rm -f "$$pwd/$$i/$$f"; \
+ fi; \
+ fi ; \
+ done; \
+ done
+
+
+# The Makefiles have to be sorted for slashes, since configure creates
+# only one directory per Makefile not the whole hierarchy
+configure.in: configure.files $(shell test -f configure.files && cat configure.files) subdirs
+ @rm -f configure.in configure.in.new ;\
+ cat `cat configure.files | egrep -v "^configure.in.bot"` >> configure.in.new ;\
+ echo "KDE_CREATE_SUBDIRSLIST" >> configure.in.new ;\
+ echo "AC_OUTPUT( \\" >> configure.in.new ;\
+ mfs=`find . -type d -print | fgrep -v "/." | sed -e "s#\./##" -e "/^debian/d" | sort`; \
+ for i in $$mfs; do \
+ topleveldir=`echo $$i| sed -e "s#/.*##"`; \
+ if test -f $$topleveldir/configure.in; then \
+ continue; \
+ fi ;\
+ if test ! -f $$i/Makefile.am; then \
+ continue; \
+ fi ;\
+ if test -s inst-apps; then \
+ if test -z "`grep \"^$$topleveldir\" inst-apps`"; then \
+ continue; \
+ fi ;\
+ fi ;\
+ echo "$$i/Makefile \\" >> configure.in.new ;\
+ done ;\
+ egrep '^dnl AC_OUTPUT\(.*\)' `cat configure.files` | sed -e "s#^.*dnl AC_OUTPUT(\(.*\))#\1 \\\\#" >> configure.in.new ;\
+ echo ")" >> configure.in.new
+ @modulename= ;\
+ if test -f configure.in.in; then \
+ if head -2 configure.in.in | egrep "^#MIN_CONFIG$$" > /dev/null; then \
+ line=`egrep "^AM_INIT_AUTOMAKE\(" configure.in.in` ;\
+ if test -n "$$line"; then \
+ modulename=`echo $$line | sed -e "s#AM_INIT_AUTOMAKE(\([^,]*\),.*#\1#"` ;\
+ VERSION=`echo $$line | sed -e "s#AM_INIT_AUTOMAKE([^,]*, *\([^)]*\)).*#\1#"` ;\
+ fi ;\
+ sed -e "s#AM_INIT_AUTOMAKE([^@].*#dnl PACKAGE set before#" configure.in.new > configure.in \
+ && mv configure.in configure.in.new ;\
+ fi ;\
+ fi ;\
+ if test -z "$$modulename" || test "$$modulename" = "@MODULENAME@"; then \
+ modulename=`pwd`; modulename=`basename $$modulename`; \
+ fi ;\
+ if test -z "$$VERSION" || test "$$VERSION" = "@VERSION@"; then \
+ VERSION="\"2.2alpha2\""; \
+ fi ;\
+ sed -e "s#@MODULENAME@#$$modulename#" configure.in.new | \
+ sed -e "s#@VERSION@#$$VERSION#" > configure.in
+ @if test -f configure.in.bot ; then cat configure.in.bot >> configure.in ; fi
+ @rm -f configure.in.new
+
+configure.files: subdirs
+ @admindir=NO ;\
+ for i in . .. ../.. ../../..; do \
+ if test -x $$i/admin; then admindir=$$i/admin; break; fi; \
+ done ;\
+ rm -rf configure.files ;\
+ if test -f configure.in.in && head -2 configure.in.in | egrep "^#MIN_CONFIG$$" > /dev/null; then \
+ echo $$admindir/configure.in.min >> configure.files ;\
+ fi
+ @test -f configure.in.in && echo configure.in.in >> configure.files
+ @list=`find . -name "configure.in.in" | sort`; \
+ for i in $$list; do if test -f $$i && test ! `dirname $$i` = "." ; then \
+ echo $$i >> configure.files ;\
+ fi; done
+ @if test -f configure.in.mid ; then echo configure.in.mid >> configure.files ; fi
+ @if test -f configure.in.bot ; then echo configure.in.bot >> configure.files ; fi
+
+subdirs:
+ @files=`ls -1 | sort`; \
+ dirs= ;\
+ lib_dirs= ;\
+ first_dirs= ;\
+ last_dirs= ;\
+ compilefirst=`grep '^COMPILE_FIRST[ ]*=' Makefile.am | \
+ sed -e 's#^COMPILE_FIRST[ ]*=[ ]*#|#' | sed -e 's#$$#|#' | sed -e 's# #|#g'`;\
+ compilelast=`grep '^COMPILE_LAST[ ]*=' Makefile.am | \
+ sed -e 's#^COMPILE_LAST[ ]*=[ ]*#|#' | sed -e 's#$$#|#' | sed -e 's# #|#g'`;\
+ for i in $$files; do if test -d $$i; then \
+ if test -f $$i/Makefile.am; then \
+ if echo $$compilefirst | grep "|$$i|" >/dev/null; then \
+ first_dirs="$$first_dirs $$i" ;\
+ elif echo $$compilelast | grep "|$$i|" >/dev/null; then \
+ last_dirs="$$last_dirs $$i" ; \
+ else dirs="$$dirs $$i" ;\
+ fi ;\
+ fi ;\
+ fi; \
+ done ;\
+ rm -f SUBDIRS ;\
+ for i in $$dirs; do \
+ echo $$i >> ./SUBDIRS; \
+ done
+ @if test -r subdirs && diff subdirs SUBDIRS > /dev/null; then \
+ rm -f SUBDIRS; \
+ fi
+ @test -r SUBDIRS && mv SUBDIRS subdirs || true
+
+package-merge:
+ @catalogs='$(POFILES)'; \
+ for cat in $$catalogs; do \
+ echo $$cat $$name; \
+ msgmerge -o $$cat.new $$cat $(PACKAGE).pot ; \
+ if test -s $$cat.new; then \
+ grep -v "\"POT-Creation" $$cat.new > $$cat.new.2 ; \
+ grep -v "\"POT-Creation" $$cat >> $$cat.new.1; \
+ if diff $$cat.new.1 $$cat.new.2; then \
+ rm $$cat.new; \
+ else \
+ mv $$cat.new $$cat ; \
+ fi; \
+ rm -f $$cat.new.1 $$cat.new.2 ;\
+ fi ;\
+ done
+
+
+package-messages:
+ @rm -rf po.backup ;\
+ mkdir po.backup ;\
+ for i in `ls -1 po/*.pot 2>/dev/null | sed -e "s#po/##"`; do \
+ egrep -v '^#([^:]|$)' po/$$i | egrep '^.*[^ ]+.*$$' | grep -v "\"POT-Creation" > po.backup/$$i ; \
+ cp po/$$i po.backup/backup_$$i ; \
+ touch -r po/$$i po.backup/backup_$$i ;\
+ rm po/$$i ;\
+ done
+ @podir=$${podir:-$$PWD/po} ;\
+ files=`find . -name Makefile.am | xargs egrep -l '^messages:' `; \
+ dirs=`for i in $$files; do echo \`dirname $$i\`; done`; \
+ tmpname="$$PWD/messages.log" ;\
+ if test -z "$$EXTRACTRC"; then EXTRACTRC=extractrc ; fi ;\
+ if test -z "$$PREPARETIPS"; then PREPARETIPS=preparetips ; fi ;\
+ export EXTRACTRC PREPARETIPS ;\
+ for subdir in $$dirs; do \
+ test -z "$$VERBOSE" || echo "Making messages in $$subdir"; \
+ (cd $$subdir ;\
+ if test -n "`grep -e '^messages:.*rc.cpp' Makefile.am`"; then \
+ $$EXTRACTRC *.rc *.ui > rc.cpp ;\
+ else \
+ candidates=`ls -1 *.rc *.ui 2>/dev/null` ;\
+ if test -n "$$candidates"; then \
+ echo "$$subdir has *.rc or *.ui files, but not correct messages line" ;\
+ fi ;\
+ fi ;\
+ if test -n "`grep -r KAboutData *.c* *.C* 2>/dev/null`"; then \
+ echo -e 'i18n("_: NAME OF TRANSLATORS\\n"\n"Your names")\ni18n("_: EMAIL OF TRANSLATORS\\n"\n"Your emails")' > _translatorinfo.cpp ;\
+ else echo " " > _translatorinfo.cpp ;\
+ fi; \
+ perl -e '$$mes=0; while (<STDIN>) { if (/^messages:/) { $$mes=1; print $$_; next; } if ($$mes) { if (/$$\\(XGETTEXT\)/ && / -o/) { s/ -o \$$\(podir\)/ _translatorinfo.cpp -o \$$\(podir\)/ } print $$_; } else { print $$_; } }' < Makefile.am > _transMakefile ;\
+ $(MAKE) -s -f _transMakefile podir=$$podir EXTRACTRC="$$EXTRACTRC" PREPARETIPS="$$PREPARETIPS" \
+ XGETTEXT="$${XGETTEXT:-xgettext} -C -ki18n \
+ -kI18N_NOOP -ktranslate -kaliasLocale \
+ -x $${includedir:-$$KDEDIR/include}/kde.pot" \
+ messages ) >$$tmpname 2>&1 ;\
+ test -s $$tmpname && (echo $$subdir ; cat $$tmpname) ;\
+ test ! -f $$subdir/rc.cpp || rm -f $$subdir/rc.cpp ;\
+ rm -f $$subdir/_translatorinfo.cpp ;\
+ rm -f $$subdir/_transMakefile ;\
+ done
+ rm -f $$tmpname
+ @for i in `ls -1 po.backup/*.pot 2>/dev/null | sed -e "s#po.backup/##" | egrep -v '^backup_'`; do \
+ if test ! -f po/$$i; then echo "disappeared: $$i"; fi ;\
+ done
+ @for i in `ls -1 po/*.pot 2>/dev/null | sed -e "s#po/##"`; do \
+ egrep -v '^#([^:]|$)' po/$$i | egrep '^.*[^ ]+.*$$' | grep -v "\"POT-Creation" > temp.pot ;\
+ if test -f po.backup/$$i && test -n "`diff temp.pot po.backup/$$i`"; then \
+ echo "will update $$i"; \
+ msgmerge -q po.backup/backup_$$i po/$$i > temp.pot ;\
+ mv temp.pot po/$$i; \
+ else \
+ if test -f po.backup/backup_$$i; then \
+ test -z "$$VERBOSE" || echo "I'm restoring $$i" ;\
+ mv po.backup/backup_$$i po/$$i; \
+ rm po.backup/$$i; \
+ else \
+ echo "will add $$i" ;\
+ fi ;\
+ fi ;\
+ done
+ @rm -f temp.pot
+ @rm -rf po.backup
+
+test:
+ perl -e '$$mes=0; while (<STDIN>) { if (/^messages:/) { $$mes=1; print $$_; next; } if ($$mes) { if (! /^\t/) { exit(0); } if (/$$\\(XGETTEXT\)/ && / -o/) { s/ -o/ _translatorinfo.cpp -o/ } print $$_; } }' < Makefile.am
+
+.SILENT:
diff --git a/krootwarning/admin/depcomp b/krootwarning/admin/depcomp
new file mode 100755
index 0000000..30f36ee
--- /dev/null
+++ b/krootwarning/admin/depcomp
@@ -0,0 +1,367 @@
+#! /bin/sh
+
+# depcomp - compile a program generating dependencies as side-effects
+# Copyright 1999, 2000 Free Software Foundation, Inc.
+
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
+# 02111-1307, USA.
+
+# Originally written by Alexandre Oliva <oliva@dcc.unicamp.br>.
+
+if test -z "$depmode" || test -z "$source" || test -z "$object"; then
+ echo "depcomp: Variables source, object and depmode must be set" 1>&2
+ exit 1
+fi
+# `libtool' can also be set to `yes' or `no'.
+
+depfile=${depfile-`echo "$object" | sed 's,\([^/]*\)$,.deps/\1,;s/\.\([^.]*\)$/.P\1/'`}
+tmpdepfile=${tmpdepfile-`echo "$depfile" | sed 's/\.\([^.]*\)$/.T\1/'`}
+
+rm -f "$tmpdepfile"
+
+# Some modes work just like other modes, but use different flags. We
+# parameterize here, but still list the modes in the big case below,
+# to make depend.m4 easier to write. Note that we *cannot* use a case
+# here, because this file can only contain one case statement.
+if test "$depmode" = hp; then
+ # HP compiler uses -M and no extra arg.
+ gccflag=-M
+ depmode=gcc
+fi
+
+if test "$depmode" = dashXmstdout; then
+ # This is just like dashmstdout with a different argument.
+ dashmflag=-xM
+ depmode=dashmstdout
+fi
+
+case "$depmode" in
+gcc3)
+## gcc 3 implements dependency tracking that does exactly what
+## we want. Yay!
+ if "$@" -MT "$object" -MF "$tmpdepfile" -MD -MP; then :
+ else
+ stat=$?
+ rm -f "$tmpdepfile"
+ exit $stat
+ fi
+ mv "$tmpdepfile" "$depfile"
+ ;;
+
+gcc)
+## There are various ways to get dependency output from gcc. Here's
+## why we pick this rather obscure method:
+## - Don't want to use -MD because we'd like the dependencies to end
+## up in a subdir. Having to rename by hand is ugly.
+## (We might end up doing this anyway to support other compilers.)
+## - The DEPENDENCIES_OUTPUT environment variable makes gcc act like
+## -MM, not -M (despite what the docs say).
+## - Using -M directly means running the compiler twice (even worse
+## than renaming).
+ if test -z "$gccflag"; then
+ gccflag=-MD,
+ fi
+ if "$@" -Wp,"$gccflag$tmpdepfile"; then :
+ else
+ stat=$?
+ rm -f "$tmpdepfile"
+ exit $stat
+ fi
+ rm -f "$depfile"
+ echo "$object : \\" > "$depfile"
+ alpha=ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz
+## The second -e expression handles DOS-style file names with drive letters.
+ sed -e 's/^[^:]*: / /' \
+ -e 's/^['$alpha']:\/[^:]*: / /' < "$tmpdepfile" >> "$depfile"
+## This next piece of magic avoids the `deleted header file' problem.
+## The problem is that when a header file which appears in a .P file
+## is deleted, the dependency causes make to die (because there is
+## typically no way to rebuild the header). We avoid this by adding
+## dummy dependencies for each header file. Too bad gcc doesn't do
+## this for us directly.
+ tr ' ' '
+' < "$tmpdepfile" |
+## Some versions of gcc put a space before the `:'. On the theory
+## that the space means something, we add a space to the output as
+## well.
+## Some versions of the HPUX 10.20 sed can't process this invocation
+## correctly. Breaking it into two sed invocations is a workaround.
+ sed -e 's/^\\$//' -e '/^$/d' -e '/:$/d' | sed -e 's/$/ :/' >> "$depfile"
+ rm -f "$tmpdepfile"
+ ;;
+
+hp)
+ # This case exists only to let depend.m4 do its work. It works by
+ # looking at the text of this script. This case will never be run,
+ # since it is checked for above.
+ exit 1
+ ;;
+
+sgi)
+ if test "$libtool" = yes; then
+ "$@" "-Wp,-MDupdate,$tmpdepfile"
+ else
+ "$@" -MDupdate "$tmpdepfile"
+ fi
+ stat=$?
+ if test $stat -eq 0; then :
+ else
+ rm -f "$tmpdepfile"
+ exit $stat
+ fi
+ rm -f "$depfile"
+
+ if test -f "$tmpdepfile"; then # yes, the sourcefile depend on other files
+ echo "$object : \\" > "$depfile"
+
+ # Clip off the initial element (the dependent). Don't try to be
+ # clever and replace this with sed code, as IRIX sed won't handle
+ # lines with more than a fixed number of characters (4096 in
+ # IRIX 6.2 sed, 8192 in IRIX 6.5).
+ tr ' ' '
+' < "$tmpdepfile" | sed 's/^[^\.]*\.o://' | tr '
+' ' ' >> $depfile
+
+ tr ' ' '
+' < "$tmpdepfile" | \
+## Some versions of the HPUX 10.20 sed can't process this invocation
+## correctly. Breaking it into two sed invocations is a workaround.
+ sed -e 's/^\\$//' -e '/^$/d' -e '/:$/d' | sed -e 's/$/ :/' >> "$depfile"
+ else
+ # The sourcefile does not contain any dependencies, so just
+ # store a dummy comment line, to avoid errors with the Makefile
+ # "include basename.Plo" scheme.
+ echo "#dummy" > "$depfile"
+ fi
+ rm -f "$tmpdepfile"
+ ;;
+
+aix)
+ # The C for AIX Compiler uses -M and outputs the dependencies
+ # in a .u file.
+ tmpdepfile=`echo "$object" | sed 's/\(.*\)\..*$/\1.u/'`
+ if test "$libtool" = yes; then
+ "$@" -Wc,-M
+ else
+ "$@" -M
+ fi
+
+ stat=$?
+ if test $stat -eq 0; then :
+ else
+ rm -f "$tmpdepfile"
+ exit $stat
+ fi
+
+ if test -f "$tmpdepfile"; then
+ echo "$object : \\" > "$depfile"
+
+ # Clip off the initial element (the dependent). Don't try to be
+ # clever and replace this with sed code, as IRIX sed won't handle
+ # lines with more than a fixed number of characters (4096 in
+ # IRIX 6.2 sed, 8192 in IRIX 6.5).
+ tr ' ' '
+' < "$tmpdepfile" | sed 's/^[^\.]*\.o://' | tr '
+' ' ' >> $depfile
+
+ tr ' ' '
+' < "$tmpdepfile" | \
+## Some versions of the HPUX 10.20 sed can't process this invocation
+## correctly. Breaking it into two sed invocations is a workaround.
+ sed -e 's/^\\$//' -e '/^$/d' -e '/:$/d' | sed -e 's/$/ :/' >> "$depfile"
+ else
+ # The sourcefile does not contain any dependencies, so just
+ # store a dummy comment line, to avoid errors with the Makefile
+ # "include basename.Plo" scheme.
+ echo "#dummy" > "$depfile"
+ fi
+ rm -f "$tmpdepfile"
+ ;;
+
+#nosideeffect)
+ # This comment above is used by automake to tell side-effect
+ # dependency tracking mechanisms from slower ones.
+
+dashmstdout)
+ # Important note: in order to support this mode, a compiler *must*
+ # always write the proprocessed file to stdout, regardless of -o,
+ # because we must use -o when running libtool.
+ test -z "$dashmflag" && dashmflag=-M
+ ( IFS=" "
+ case " $* " in
+ *" --mode=compile "*) # this is libtool, let us make it quiet
+ for arg
+ do # cycle over the arguments
+ case "$arg" in
+ "--mode=compile")
+ # insert --quiet before "--mode=compile"
+ set fnord "$@" --quiet
+ shift # fnord
+ ;;
+ esac
+ set fnord "$@" "$arg"
+ shift # fnord
+ shift # "$arg"
+ done
+ ;;
+ esac
+ "$@" $dashmflag | sed 's:^[^:]*\:[ ]*:'"$object"'\: :' > "$tmpdepfile"
+ ) &
+ proc=$!
+ "$@"
+ stat=$?
+ wait "$proc"
+ if test "$stat" != 0; then exit $stat; fi
+ rm -f "$depfile"
+ cat < "$tmpdepfile" > "$depfile"
+ tr ' ' '
+' < "$tmpdepfile" | \
+## Some versions of the HPUX 10.20 sed can't process this invocation
+## correctly. Breaking it into two sed invocations is a workaround.
+ sed -e 's/^\\$//' -e '/^$/d' -e '/:$/d' | sed -e 's/$/ :/' >> "$depfile"
+ rm -f "$tmpdepfile"
+ ;;
+
+dashXmstdout)
+ # This case only exists to satisfy depend.m4. It is never actually
+ # run, as this mode is specially recognized in the preamble.
+ exit 1
+ ;;
+
+makedepend)
+ # X makedepend
+ (
+ shift
+ cleared=no
+ for arg in "$@"; do
+ case $cleared in no)
+ set ""; shift
+ cleared=yes
+ esac
+ case "$arg" in
+ -D*|-I*)
+ set fnord "$@" "$arg"; shift;;
+ -*)
+ ;;
+ *)
+ set fnord "$@" "$arg"; shift;;
+ esac
+ done
+ obj_suffix="`echo $object | sed 's/^.*\././'`"
+ touch "$tmpdepfile"
+ ${MAKEDEPEND-makedepend} 2>/dev/null -o"$obj_suffix" -f"$tmpdepfile" "$@"
+ ) &
+ proc=$!
+ "$@"
+ stat=$?
+ wait "$proc"
+ if test "$stat" != 0; then exit $stat; fi
+ rm -f "$depfile"
+ cat < "$tmpdepfile" > "$depfile"
+ tail +3 "$tmpdepfile" | tr ' ' '
+' | \
+## Some versions of the HPUX 10.20 sed can't process this invocation
+## correctly. Breaking it into two sed invocations is a workaround.
+ sed -e 's/^\\$//' -e '/^$/d' -e '/:$/d' | sed -e 's/$/ :/' >> "$depfile"
+ rm -f "$tmpdepfile" "$tmpdepfile".bak
+ ;;
+
+cpp)
+ # Important note: in order to support this mode, a compiler *must*
+ # always write the proprocessed file to stdout, regardless of -o,
+ # because we must use -o when running libtool.
+ ( IFS=" "
+ case " $* " in
+ *" --mode=compile "*)
+ for arg
+ do # cycle over the arguments
+ case $arg in
+ "--mode=compile")
+ # insert --quiet before "--mode=compile"
+ set fnord "$@" --quiet
+ shift # fnord
+ ;;
+ esac
+ set fnord "$@" "$arg"
+ shift # fnord
+ shift # "$arg"
+ done
+ ;;
+ esac
+ "$@" -E |
+ sed -n '/^# [0-9][0-9]* "\([^"]*\)".*/ s:: \1 \\:p' |
+ sed '$ s: \\$::' > "$tmpdepfile"
+ ) &
+ proc=$!
+ "$@"
+ stat=$?
+ wait "$proc"
+ if test "$stat" != 0; then exit $stat; fi
+ rm -f "$depfile"
+ echo "$object : \\" > "$depfile"
+ cat < "$tmpdepfile" >> "$depfile"
+ sed < "$tmpdepfile" '/^$/d;s/^ //;s/ \\$//;s/$/ :/' >> "$depfile"
+ rm -f "$tmpdepfile"
+ ;;
+
+msvisualcpp)
+ # Important note: in order to support this mode, a compiler *must*
+ # always write the proprocessed file to stdout, regardless of -o,
+ # because we must use -o when running libtool.
+ ( IFS=" "
+ case " $* " in
+ *" --mode=compile "*)
+ for arg
+ do # cycle over the arguments
+ case $arg in
+ "--mode=compile")
+ # insert --quiet before "--mode=compile"
+ set fnord "$@" --quiet
+ shift # fnord
+ ;;
+ esac
+ set fnord "$@" "$arg"
+ shift # fnord
+ shift # "$arg"
+ done
+ ;;
+ esac
+ "$@" -E |
+ sed -n '/^#line [0-9][0-9]* "\([^"]*\)"/ s::echo "`cygpath -u \\"\1\\"`":p' | sort | uniq > "$tmpdepfile"
+ ) &
+ proc=$!
+ "$@"
+ stat=$?
+ wait "$proc"
+ if test "$stat" != 0; then exit $stat; fi
+ rm -f "$depfile"
+ echo "$object : \\" > "$depfile"
+ . "$tmpdepfile" | sed 's% %\\ %g' | sed -n '/^\(.*\)$/ s:: \1 \\:p' >> "$depfile"
+ echo " " >> "$depfile"
+ . "$tmpdepfile" | sed 's% %\\ %g' | sed -n '/^\(.*\)$/ s::\1\::p' >> "$depfile"
+ rm -f "$tmpdepfile"
+ ;;
+
+none)
+ exec "$@"
+ ;;
+
+*)
+ echo "Unknown depmode $depmode" 1>&2
+ exit 1
+ ;;
+esac
+
+exit 0